LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XModifyBroadcaster Interface Referencepublished

broadcasts each modification made on the date data of the object which supports this interface. More...

`import"XModifyBroadcaster.idl";`

Inheritance diagram for XModifyBroadcaster:

## Public Member Functions
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

broadcasts each modification made on the date data of the object which supports this interface.

The modified object must post the modification events immediately after the modification is performed.

## Member Function Documentation

## ◆ addModifyListener()

void addModifyListener | ( | [in] com::sun::star::util::XModifyListener | aListener | ) |

adds the specified listener to receive events "modified."

## ◆ removeModifyListener()

void removeModifyListener | ( | [in] com::sun::star::util::XModifyListener | aListener | ) |

removes the specified listener.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XModifyBroadcaster.idl